% Vorlage in Matlab R2015a fuer Windows getestet

% Viel Erfolg beim Loesen des Uebungsblattes!

clc;
clear all;
close all;

%% Variablen fuer Aufgabe 3, 4 und 5
% Zeitkonstante, die die Rate kontrolliert, wann sich die Gewichte aendern
tau_w=1.0;
dt=0.1;
% Groesse der Statistik
K=1000;

% Zahl der Kurven  
P=100; 
% Zahl der Zeitschritte
S=1500;

%% Aufgabenteil 3
% Moegliche Auspraegungen von gamma
gamma_1=0.5;
gamma_2=1.0;
gamma_3=1.5;
gamma_array=[gamma_1,gamma_2,gamma_3];
% Variable wird zur Auswahl von gamma verwendet (g=1, 2 oder 3)
g=3;
% Aktuelles gamma
gamma=gamma_array(g);

% 3a) Berechnung der Kovarianzmatrix (analytisch)
%c_S=?;
%c_D=?;
%C_analytical=[c_S c_D; c_D c_S]

% Initialisieren des Ensembles von K Input-Paaren
%u_L=zeros([1,K]);
%u_R=zeros([1,K]);

% 3b) Zufaellige Generierung eines Ensembles von Input-Paaren (u_L,u_R)
% Beachte: Jedes Input-Paar hat die gleiche Auftretenswahrscheinlichkeit
% for i=1:K
%     % Gleichverteilte Zufallszahl aus dem Bereich [0,1]    
%     xi=rand;   
%     % Kommentar: (u_L,u_R) = (1,1)
%     if (?)
%         u_L(i)=1.0;
%         u_R(i)=1.0;
%     end
%     % Kommentar: (u_L,u_R) = (1,0)
%     if (? && ?)
%         u_L(i)=1.0;
%         u_R(i)=0.0;
%     end
%     % Kommentar: (u_L,u_R) = (0,1)
%     if (? && ?)
%         u_L(i)=0.0;
%         u_R(i)=1.0;
%     end
%     % Kommentar: (u_L,u_R) = (0,0)
%     if (?)
%         u_L(i)=0.0;
%         u_R(i)=0.0;
%     end
% end

% 3b) Numerische Berechnung der Kovarianzmatrix, d.h. Abschaetzung der 
% analytischen Berechnung der Kovarianzmatrix (Formel siehe Aufgabenblatt)
% c_S_num=mean(u_L.*u_L)-mean(u_L)^2;
% c_D_num=?;
% C_num=[c_S_num c_D_num; c_D_num c_S_num]

% Nur zur Information: Mithilfe der Funktion eig koennen Eigenwerte und
% -vektoren einer Matrix berechnet werden.
% [V,L]=eig(C_analytical)

% Plotten 
% ShowEigen(C_analytical);


%% Aufgabenteil 4

% Initialisierung von P vielen Werten fuer S viele Zeitschritte
w_L=zeros([P,S]);
w_R=zeros([P,S]);

% for l=1:P
%     % Generierung von P Anfangswerten fuer
%     % die Gewichte w_L/w_R im Intervall [0,0.5]
%     w_L_0=0.5*rand;
%     w_R_0=0.5*rand;
%     
%     % Initialisierungswerte fuer die l-te Zeile und erste Spalte
%     w_L(l,1)=w_L_0;
%     w_R(l,1)=w_R_0;
%     
%     % Berechnete Gewichte fuer die S-1 naechsten Zeitschritte
%     for s=1:S-1
%         w_R(l,s+1)=w_R(l,s)+?; % Hinweis: dt und tau nicht vergessen
%         w_L(l,s+1)=w_L(l,s)+?;
%         
%         % Verhindern der Entwicklung der Gewichte jenseits von 0 oder 1
%         if (w_R(l,s+1)>=1.0)
%             w_R(l,s+1)=?;
%         end
%         if (w_R(l,s+1)<=0.0)
%             w_R(l,s+1)=?;
%         end
%         if (w_L(l,s+1)>=1.0)
%             w_L(l,s+1)=?;
%         end
%         if (w_L(l,s+1)<=0.0)
%             w_L(l,s+1)=?;
%         end
%     end
% end

% % Visualisierung der zeitlichen Entwicklung der Verbindungszustaende
% figure(2);
% hold on;
% % Zeichne jede Kurve inkl. Start- und Endpunkt ein
% for l=1:P
%     plot(w_L(l,:),w_R(l,:));
%     scatter(?,?,'r');
%     scatter(?,?,'b');
% end
% xlabel('w_L');
% ylabel('w_R');
% s=strcat('Kovarianzregel; gamma = ', num2str(gamma));
% title(s);

%% Aufgabenteil 5
S=1500;
w_L=zeros([P,S]);
w_R=zeros([P,S]);

% for l=1:P
%     w_L_0=0.5*rand;
%     w_R_0=0.5*rand;
%     w_L(l,1)=w_L_0;
%     w_R(l,1)=w_R_0;
%     for s=1:S-1
%         w_R(l,s+1)=w_R(l,s)+?;
%         w_L(l,s+1)=?; %Hinweis: dt und tau nicht vergessen
%         
%         % Unterbindung negativer Gewichte
%         if (w_R(l,s+1)<=0.0)
%             w_R(l,s+1)=?;
%         end
%         if (w_L(l,s+1)<=0.0)
%             w_L(l,s+1)=?;
%         end
%     end
% end
% 
% figure(3);
% hold on;
% for l=1:P
%     plot(w_L(l,:),w_R(l,:));
%     scatter(?,?,'r');
%     scatter(?,?,'b');
% end
% xlabel('w_L');
% ylabel('w_R');
% s=strcat('dynamische Normierung; gamma = ',  num2str(gamma));
% title(s);